POST V1/PaymentsMaster.{ext}/Vendors?pageIndex={pageIndex}&pageSize={pageSize}

Returns vendors.
Mandatory Fileds: N/A
Optional Fileds : VendorName,Status,ProductId,VendorCode,VendorNumber,VendorId

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

Indicates how many records to skip .

integer

Default value is 0

pageSize

Indicates number of records to be returned.

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

This is Vendor .

EMS.Payments.Entities.ConsolidatedVendor
NameDescriptionTypeAdditional information
VendorId

Gets or sets Vendor Id.

integer

None.

VendorName

Gets or sets Vendor Name.

string

None.

VendorCode

Gets or sets Vendor Code.

string

None.

VendorNumber

Gets or sets Vendor Number.

string

None.

Status

Gets or sets Status.

string

None.

ProductId

Gets or sets Product Id.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "vendorId": 1,
  "vendorName": "sample string 1",
  "vendorCode": "sample string 2",
  "vendorNumber": "sample string 3",
  "status": "sample string 4",
  "productId": "sample string 5"
}

application/xml, text/xml

Sample:
<ConsolidatedVendor xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <ProductId>sample string 5</ProductId>
  <Status>sample string 4</Status>
  <VendorCode>sample string 2</VendorCode>
  <VendorId>1</VendorId>
  <VendorName>sample string 1</VendorName>
  <VendorNumber>sample string 3</VendorNumber>
</ConsolidatedVendor>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

List of Vendors based on action to perform.

EMSResponseOfEMS.Payments.Entities.ConsolidatedVendors
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.ConsolidatedVendors

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ConsolidatedVendors",
  "response": {
    "vendorList": [
      {
        "vendorId": 1,
        "vendorName": "sample string 1",
        "vendorCode": "sample string 2",
        "vendorNumber": "sample string 3",
        "status": "sample string 4",
        "productId": "sample string 5"
      },
      {
        "vendorId": 1,
        "vendorName": "sample string 1",
        "vendorCode": "sample string 2",
        "vendorNumber": "sample string 3",
        "status": "sample string 4",
        "productId": "sample string 5"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.